# Class: category_scatter

## LocusZoom_DataLayers~category_scatter()

A scatter plot in which the x-axis represents categories, rather than individual positions. For example, this can be used by PheWAS plots to show related groups. This plot allows the categories and color options to be determined dynamically when data is first loaded.

## Constructor

#### new category_scatter()

##### Parameters:

Name | Type | Description
--- | --- | ---
`layout.x_axis.category_field` | string | The datum field to use in auto-generating tick marks, color scheme, and point ordering.

Source:
  - components/data_layer/scatter.js, line 463

### Methods

#### getTicks(dimension, configopt) → {Array}

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`dimension` |  |  |
`config` | Object | <optional> | Parameters that customize how ticks are calculated (not style) ###### Properties
Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`position` | 'left' | 'center' | 'right' | <optional> | 'left' | Align ticks with the center or edge of category

Source:
  - components/data_layer/scatter.js, line 619

##### Returns:

Type
  Array